﻿BUF_AreaParty = BUF_Area:new()

function BUF_AreaParty:Create()
	local unitId, uf

	self.Name = "PARTY"
	self.num = #BUF_Roster.partyIds

	self.MinDisplayRows = 1
	self.MaxRows = 1
	self.LateCreation = false
	
	for i = 1, self.num do
		unitId = BUF_Roster.partyIds[i]
		uf = BUF_Factory:CreateUnitFrameStructure(self)	
		uf.unitId = unitId
		uf.vehicleId = BUF_Roster.partyPetIds[i]		
		uf.dropDown = BUF_Roster.partyDropDown[i]

		self.frame[i] = uf
		self.unitId[unitId] = i
		self.vehicleId[uf.vehicleId] = i
	end
end
